/* ---------------------------------------------------------- */
/* @(#) KVD.SQL V100                */
/* ---------------------------------------------------------- */
/* Product Provided Situations and Templates for              */
/* Citrix Virtual Desktop Infrastructure Monitoring Agent  */
/*                                                            */
/* Licensed Materials - Property of IBM                       */
/* Copyright IBM Corp. 2005, 2018 All Rights Reserved               */
/* US Government Users Restricted Rights - Use, duplication or*/
/* disclosure restricted by GSA ADP Schedule Contract with    */
/* IBM Corp.                                                  */
/*                                                            */
/* Warning: this file contains ascii binary data that cannot  */
/*          be ftp'ed as TEXT between ascii and ebcdic hosts. */
/* ---------------------------------------------------------- */


/* ---------------------------------------------------------- */
/* General section.  Applies to all products                  */
/* ---------------------------------------------------------- */

/* Tasks */

/* Situations */
DELETE FROM O4SRV.TOBJACCL
 WHERE NODEL = "*BMedora_KVDXDS"
 AND OBJNAME = "KVD_site_critical_event"
 AND OBJCLASS = "5140"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TSITDESC
 WHERE SITNAME = "KVD_site_critical_event"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

$PARMS 
( 
'ADVICE("kvd:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%BMedora.KVDXDS         000000000100000000",
"*NO",
"*NO",
"",
" ",
"1180226000000000",
"V100",
"CCC_V100",
"",
"*IF *SCAN KVD_SITE_EVENTS.event_severity *EQ 'Critical'",
"E",
"0",
"000100",
"*NONE",
"KVD_site_critical_event",
"Kvd:KVD1297",
"NNN",
"ATOM=KVDXDSE13.REASON;SEV=Critical",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*BMedora_KVDXDS" ,
  "KVD_site_critical_event" ,
  "Y" ,
  "1180226000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
DELETE FROM O4SRV.TOBJACCL
 WHERE NODEL = "*BMedora_KVDXDS"
 AND OBJNAME = "KVD_site_warning_event"
 AND OBJCLASS = "5140"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TSITDESC
 WHERE SITNAME = "KVD_site_warning_event"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

$PARMS 
( 
'ADVICE("kvd:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%BMedora.KVDXDS         000000000100000000",
"*NO",
"*NO",
"",
" ",
"1180226000000000",
"V100",
"CCC_V100",
"",
"*IF *SCAN KVD_SITE_EVENTS.event_severity *EQ 'Warning'",
"E",
"0",
"000100",
"*NONE",
"KVD_site_warning_event",
"Kvd:KVD1298",
"NNN",
"ATOM=KVDXDSE13.REASON;SEV=Warning",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*BMedora_KVDXDS" ,
  "KVD_site_warning_event" ,
  "Y" ,
  "1180226000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
DELETE FROM O4SRV.TOBJACCL
 WHERE NODEL = "*BMedora_KVDXDS"
 AND OBJNAME = "KVD_OData_App_Instance_Fail"
 AND OBJCLASS = "5140"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TSITDESC
 WHERE SITNAME = "KVD_OData_App_Instance_Fail"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

$PARMS 
( 
'ADVICE("kvd:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%BMedora.KVDXDS         000000000100000000",
"*NO",
"*YES",
"",
" ",
"1180226000000000",
"V100",
"CCC_V100",
"",
"*IF *SCAN KVD_AGENT_DATA_PROVIDER_LOG.MESSAGE *EQ 'KVD00001'",
"E",
"0",
"000000",
"*NONE",
"KVD_OData_App_Instance_Fail",
"Kvd:KVD1275",
"NNN",
"ATOM=KVDKVDLOG1.MESSAGE;SEV=Warning",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*BMedora_KVDXDS" ,
  "KVD_OData_App_Instance_Fail" ,
  "Y" ,
  "1180226000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
DELETE FROM O4SRV.TOBJACCL
 WHERE NODEL = "*BMedora_KVDXDS"
 AND OBJNAME = "KVD_OData_Application_Fail"
 AND OBJCLASS = "5140"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TSITDESC
 WHERE SITNAME = "KVD_OData_Application_Fail"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

$PARMS 
( 
'ADVICE("kvd:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%BMedora.KVDXDS         000000000100000000",
"*NO",
"*YES",
"",
" ",
"1180226000000000",
"V100",
"CCC_V100",
"",
"*IF *SCAN KVD_AGENT_DATA_PROVIDER_LOG.MESSAGE *EQ 'KVD00002'",
"E",
"0",
"000000",
"*NONE",
"KVD_OData_Application_Fail",
"Kvd:KVD1276",
"NNN",
"ATOM=KVDKVDLOG1.MESSAGE;SEV=Warning",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*BMedora_KVDXDS" ,
  "KVD_OData_Application_Fail" ,
  "Y" ,
  "1180226000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
DELETE FROM O4SRV.TOBJACCL
 WHERE NODEL = "*BMedora_KVDXDS"
 AND OBJNAME = "KVD_OData_Catalog_Fail"
 AND OBJCLASS = "5140"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TSITDESC
 WHERE SITNAME = "KVD_OData_Catalog_Fail"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

$PARMS 
( 
'ADVICE("kvd:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%BMedora.KVDXDS         000000000100000000",
"*NO",
"*YES",
"",
" ",
"1180226000000000",
"V100",
"CCC_V100",
"",
"*IF *SCAN KVD_AGENT_DATA_PROVIDER_LOG.MESSAGE *EQ 'KVD00003'",
"E",
"0",
"000000",
"*NONE",
"KVD_OData_Catalog_Fail",
"Kvd:KVD1277",
"NNN",
"ATOM=KVDKVDLOG1.MESSAGE;SEV=Warning",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*BMedora_KVDXDS" ,
  "KVD_OData_Catalog_Fail" ,
  "Y" ,
  "1180226000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
DELETE FROM O4SRV.TOBJACCL
 WHERE NODEL = "*BMedora_KVDXDS"
 AND OBJNAME = "KVD_OData_Conn_Log_Fail"
 AND OBJCLASS = "5140"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TSITDESC
 WHERE SITNAME = "KVD_OData_Conn_Log_Fail"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

$PARMS 
( 
'ADVICE("kvd:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%BMedora.KVDXDS         000000000100000000",
"*NO",
"*YES",
"",
" ",
"1180226000000000",
"V100",
"CCC_V100",
"",
"*IF *SCAN KVD_AGENT_DATA_PROVIDER_LOG.MESSAGE *EQ 'KVD00004'",
"E",
"0",
"000000",
"*NONE",
"KVD_OData_Conn_Log_Fail",
"Kvd:KVD1278",
"NNN",
"ATOM=KVDKVDLOG1.MESSAGE;SEV=Warning",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*BMedora_KVDXDS" ,
  "KVD_OData_Conn_Log_Fail" ,
  "Y" ,
  "1180226000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
DELETE FROM O4SRV.TOBJACCL
 WHERE NODEL = "*BMedora_KVDXDS"
 AND OBJNAME = "KVD_OData_Connection_Fail"
 AND OBJCLASS = "5140"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TSITDESC
 WHERE SITNAME = "KVD_OData_Connection_Fail"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

$PARMS 
( 
'ADVICE("kvd:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%BMedora.KVDXDS         000000000100000000",
"*NO",
"*YES",
"",
" ",
"1180226000000000",
"V100",
"CCC_V100",
"",
"*IF *SCAN KVD_AGENT_DATA_PROVIDER_LOG.MESSAGE *EQ 'KVD00005'",
"E",
"0",
"000000",
"*NONE",
"KVD_OData_Connection_Fail",
"Kvd:KVD1279",
"NNN",
"ATOM=KVDKVDLOG1.MESSAGE;SEV=Warning",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*BMedora_KVDXDS" ,
  "KVD_OData_Connection_Fail" ,
  "Y" ,
  "1180226000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
DELETE FROM O4SRV.TOBJACCL
 WHERE NODEL = "*BMedora_KVDXDS"
 AND OBJNAME = "KVD_OData_Deliv_Group_Fail"
 AND OBJCLASS = "5140"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TSITDESC
 WHERE SITNAME = "KVD_OData_Deliv_Group_Fail"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

$PARMS 
( 
'ADVICE("kvd:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%BMedora.KVDXDS         000000000100000000",
"*NO",
"*YES",
"",
" ",
"1180226000000000",
"V100",
"CCC_V100",
"",
"*IF *SCAN KVD_AGENT_DATA_PROVIDER_LOG.MESSAGE *EQ 'KVD00006'",
"E",
"0",
"000000",
"*NONE",
"KVD_OData_Deliv_Group_Fail",
"Kvd:KVD1280",
"NNN",
"ATOM=KVDKVDLOG1.MESSAGE;SEV=Warning",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*BMedora_KVDXDS" ,
  "KVD_OData_Deliv_Group_Fail" ,
  "Y" ,
  "1180226000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
DELETE FROM O4SRV.TOBJACCL
 WHERE NODEL = "*BMedora_KVDXDS"
 AND OBJNAME = "KVD_OData_Hypervisor_Fail"
 AND OBJCLASS = "5140"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TSITDESC
 WHERE SITNAME = "KVD_OData_Hypervisor_Fail"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

$PARMS 
( 
'ADVICE("kvd:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%BMedora.KVDXDS         000000000100000000",
"*NO",
"*YES",
"",
" ",
"1180226000000000",
"V100",
"CCC_V100",
"",
"*IF *SCAN KVD_AGENT_DATA_PROVIDER_LOG.MESSAGE *EQ 'KVD00007'",
"E",
"0",
"000000",
"*NONE",
"KVD_OData_Hypervisor_Fail",
"Kvd:KVD1281",
"NNN",
"ATOM=KVDKVDLOG1.MESSAGE;SEV=Warning",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*BMedora_KVDXDS" ,
  "KVD_OData_Hypervisor_Fail" ,
  "Y" ,
  "1180226000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
DELETE FROM O4SRV.TOBJACCL
 WHERE NODEL = "*BMedora_KVDXDS"
 AND OBJNAME = "KVD_OData_Load_Index_Fail"
 AND OBJCLASS = "5140"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TSITDESC
 WHERE SITNAME = "KVD_OData_Load_Index_Fail"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

$PARMS 
( 
'ADVICE("kvd:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%BMedora.KVDXDS         000000000100000000",
"*NO",
"*YES",
"",
" ",
"1180226000000000",
"V100",
"CCC_V100",
"",
"*IF *SCAN KVD_AGENT_DATA_PROVIDER_LOG.MESSAGE *EQ 'KVD00008'",
"E",
"0",
"000000",
"*NONE",
"KVD_OData_Load_Index_Fail",
"Kvd:KVD1282",
"NNN",
"ATOM=KVDKVDLOG1.MESSAGE;SEV=Warning",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*BMedora_KVDXDS" ,
  "KVD_OData_Load_Index_Fail" ,
  "Y" ,
  "1180226000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
DELETE FROM O4SRV.TOBJACCL
 WHERE NODEL = "*BMedora_KVDXDS"
 AND OBJNAME = "KVD_OData_Machine_Log_Fail"
 AND OBJCLASS = "5140"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TSITDESC
 WHERE SITNAME = "KVD_OData_Machine_Log_Fail"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

$PARMS 
( 
'ADVICE("kvd:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%BMedora.KVDXDS         000000000100000000",
"*NO",
"*YES",
"",
" ",
"1180226000000000",
"V100",
"CCC_V100",
"",
"*IF *SCAN KVD_AGENT_DATA_PROVIDER_LOG.MESSAGE *EQ 'KVD00009'",
"E",
"0",
"000000",
"*NONE",
"KVD_OData_Machine_Log_Fail",
"Kvd:KVD1283",
"NNN",
"ATOM=KVDKVDLOG1.MESSAGE;SEV=Warning",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*BMedora_KVDXDS" ,
  "KVD_OData_Machine_Log_Fail" ,
  "Y" ,
  "1180226000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
DELETE FROM O4SRV.TOBJACCL
 WHERE NODEL = "*BMedora_KVDXDS"
 AND OBJNAME = "KVD_OData_Machine_Fail"
 AND OBJCLASS = "5140"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TSITDESC
 WHERE SITNAME = "KVD_OData_Machine_Fail"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

$PARMS 
( 
'ADVICE("kvd:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%BMedora.KVDXDS         000000000100000000",
"*NO",
"*YES",
"",
" ",
"1180226000000000",
"V100",
"CCC_V100",
"",
"*IF *SCAN KVD_AGENT_DATA_PROVIDER_LOG.MESSAGE *EQ 'KVD00010'",
"E",
"0",
"000000",
"*NONE",
"KVD_OData_Machine_Fail",
"Kvd:KVD1284",
"NNN",
"ATOM=KVDKVDLOG1.MESSAGE;SEV=Warning",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*BMedora_KVDXDS" ,
  "KVD_OData_Machine_Fail" ,
  "Y" ,
  "1180226000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
DELETE FROM O4SRV.TOBJACCL
 WHERE NODEL = "*BMedora_KVDXDS"
 AND OBJNAME = "KVD_OData_Session_Fail"
 AND OBJCLASS = "5140"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TSITDESC
 WHERE SITNAME = "KVD_OData_Session_Fail"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

$PARMS 
( 
'ADVICE("kvd:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%BMedora.KVDXDS         000000000100000000",
"*NO",
"*YES",
"",
" ",
"1180226000000000",
"V100",
"CCC_V100",
"",
"*IF *SCAN KVD_AGENT_DATA_PROVIDER_LOG.MESSAGE *EQ 'KVD00011'",
"E",
"0",
"000000",
"*NONE",
"KVD_OData_Session_Fail",
"Kvd:KVD1285",
"NNN",
"ATOM=KVDKVDLOG1.MESSAGE;SEV=Warning",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*BMedora_KVDXDS" ,
  "KVD_OData_Session_Fail" ,
  "Y" ,
  "1180226000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
DELETE FROM O4SRV.TOBJACCL
 WHERE NODEL = "*BMedora_KVDXDS"
 AND OBJNAME = "KVD_OData_User_Fail"
 AND OBJCLASS = "5140"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TSITDESC
 WHERE SITNAME = "KVD_OData_User_Fail"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

$PARMS 
( 
'ADVICE("kvd:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%BMedora.KVDXDS         000000000100000000",
"*NO",
"*YES",
"",
" ",
"1180226000000000",
"V100",
"CCC_V100",
"",
"*IF *SCAN KVD_AGENT_DATA_PROVIDER_LOG.MESSAGE *EQ 'KVD00012'",
"E",
"0",
"000000",
"*NONE",
"KVD_OData_User_Fail",
"Kvd:KVD1286",
"NNN",
"ATOM=KVDKVDLOG1.MESSAGE;SEV=Warning",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*BMedora_KVDXDS" ,
  "KVD_OData_User_Fail" ,
  "Y" ,
  "1180226000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
DELETE FROM O4SRV.TOBJACCL
 WHERE NODEL = "*BMedora_KVDXDS"
 AND OBJNAME = "KVD_Data_Collection_Not_Started"
 AND OBJCLASS = "5140"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TSITDESC
 WHERE SITNAME = "KVD_Data_Collection_Not_Started"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

$PARMS 
( 
'ADVICE("kvd:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%BMedora.KVDXDS         000000000100000000",
"*NO",
"*YES",
"",
" ",
"1180226000000000",
"V100",
"CCC_V100",
"",
"*IF *SCAN KVD_AGENT_DATA_PROVIDER_LOG.MESSAGE *EQ 'KVD00014'",
"E",
"0",
"000000",
"*NONE",
"KVD_Data_Collection_Not_Started",
"Kvd:KVD1219",
"NNN",
"ATOM=KVDKVDLOG1.MESSAGE;SEV=Critical",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*BMedora_KVDXDS" ,
  "KVD_Data_Collection_Not_Started" ,
  "Y" ,
  "1180226000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
DELETE FROM O4SRV.TOBJACCL
 WHERE NODEL = "*BMedora_KVDXDS"
 AND OBJNAME = "KVD_vda_machine_critical_event"
 AND OBJCLASS = "5140"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TSITDESC
 WHERE SITNAME = "KVD_vda_machine_critical_event"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

$PARMS 
( 
'ADVICE("kvd:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%BMedora.KVDXDS         000000000100000000",
"*NO",
"*NO",
"",
" ",
"1180226000000000",
"V100",
"CCC_V100",
"",
"*IF *SCAN KVD_VDA_MACHINE_EVENTS.event_severity *EQ 'Critical'",
"E",
"0",
"000100",
"*NONE",
"KVD_vda_machine_critical_event",
"Kvd:KVD1293",
"NNN",
"ATOM=KVDXDVME21.REASON;SEV=Critical",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*BMedora_KVDXDS" ,
  "KVD_vda_machine_critical_event" ,
  "Y" ,
  "1180226000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
DELETE FROM O4SRV.TOBJACCL
 WHERE NODEL = "*BMedora_KVDXDS"
 AND OBJNAME = "KVD_vda_machine_warning_event"
 AND OBJCLASS = "5140"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TSITDESC
 WHERE SITNAME = "KVD_vda_machine_warning_event"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

$PARMS 
( 
'ADVICE("kvd:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%BMedora.KVDXDS         000000000100000000",
"*NO",
"*NO",
"",
" ",
"1180226000000000",
"V100",
"CCC_V100",
"",
"*IF *SCAN KVD_VDA_MACHINE_EVENTS.event_severity *EQ 'Warning'",
"E",
"0",
"000100",
"*NONE",
"KVD_vda_machine_warning_event",
"Kvd:KVD1294",
"NNN",
"ATOM=KVDXDVME21.REASON;SEV=Warning",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*BMedora_KVDXDS" ,
  "KVD_vda_machine_warning_event" ,
  "Y" ,
  "1180226000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
DELETE FROM O4SRV.TOBJACCL
 WHERE NODEL = "*BMedora_KVDXDS"
 AND OBJNAME = "KVD_ddc_machine_critical_event"
 AND OBJCLASS = "5140"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TSITDESC
 WHERE SITNAME = "KVD_ddc_machine_critical_event"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

$PARMS 
( 
'ADVICE("kvd:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%BMedora.KVDXDS         000000000100000000",
"*NO",
"*NO",
"",
" ",
"1180226000000000",
"V100",
"CCC_V100",
"",
"*IF *SCAN KVD_DDC_MACHINE_EVENTS.event_severity *EQ 'Critical'",
"E",
"0",
"000100",
"*NONE",
"KVD_ddc_machine_critical_event",
"Kvd:KVD1299",
"NNN",
"ATOM=KVDXDDME24.REASON;SEV=Critical",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*BMedora_KVDXDS" ,
  "KVD_ddc_machine_critical_event" ,
  "Y" ,
  "1180226000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
DELETE FROM O4SRV.TOBJACCL
 WHERE NODEL = "*BMedora_KVDXDS"
 AND OBJNAME = "KVD_ddc_machine_warning_event"
 AND OBJCLASS = "5140"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TSITDESC
 WHERE SITNAME = "KVD_ddc_machine_warning_event"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

$PARMS 
( 
'ADVICE("kvd:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"%BMedora.KVDXDS         000000000100000000",
"*NO",
"*NO",
"",
" ",
"1180226000000000",
"V100",
"CCC_V100",
"",
"*IF *SCAN KVD_DDC_MACHINE_EVENTS.event_severity *EQ 'Warning'",
"E",
"0",
"000100",
"*NONE",
"KVD_ddc_machine_warning_event",
"Kvd:KVD1300",
"NNN",
"ATOM=KVDXDDME24.REASON;SEV=Warning",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*BMedora_KVDXDS" ,
  "KVD_ddc_machine_warning_event" ,
  "Y" ,
  "1180226000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
